import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

public class Key extends Actor
{
    String key = "";
    String sound = "";
    boolean white = false;
    boolean pressed = false;
    boolean mouseDown = false;
    int yScale = 0;
    /**
     * Create a new key.
     */
    public Key(String k, String s, boolean color)
    {
        sound = s;
        white = color;
        key = k;
        if (white) {
            setImage("white-key.png");
        } else {
            setImage("black-key.png");
        }
        
        GreenfootImage image = getImage();
        yScale = image.getHeight();
    }

    /**
     * Do the action for this key.
     */
    public void act()
    {
        if(Greenfoot.mousePressed(this)) {
            mouseDown = true;
        } else if(Greenfoot.mouseClicked(null)) {
            mouseDown = false;
        }
        
        if (Greenfoot.isKeyDown(key) || mouseDown && !pressed) {
            if (!pressed) {
                Greenfoot.playSound(sound + ".wav");
                if (white) {
                    setImage("white-key-down.png");
                } else {
                    setImage("black-key-down.png");
                }
            }
            pressed = true;
        } 
        if (!(Greenfoot.isKeyDown(key) || mouseDown) && pressed) {
            if (white) {
                setImage("white-key.png");
            } else {
                setImage("black-key.png");
            }
            pressed = false;
        }
        scaleHeight();
    }
    public void setHeight(int y) {
        yScale = y;
    }
    public void scaleHeight() {
        GreenfootImage image = getImage();
        image.scale(image.getWidth(), yScale);
        setImage(image);
    }
}

