import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.util.ArrayList;

/**
 * A piano that can be played with the computer keyboard.
 * 
 * @author: Jannis Martensen
 * @version: 0.1
 */
public class Piano extends World
{
    boolean meme = false;
    /**
     * Make the piano.
     */
    public Piano() 
    {
        super(900, 340, 1);
        
        String[] keyList = {"D", "F", "G", "H", "J", "K", "L", "Y", "X", "C", "V", "B", "N", "M"};
        String[] soundList = {"2c", "2d", "2e", "2f", "2g", "3a", "3b", "3c", "3d", "3e", "3f", "3g", "4c", "4d"};
        
        String[] SharpKeyList = {"Q", "W", "x", "E", "R", "T", "x", "Z", "U", "x", "I", "O", "P", "Ü"};
        String[] SharpSoundList = {"2c#", "2d#", "x", "2f#", "2g#", "3a#", "x", "3c#", "3d#", "x", "3f#", "3g#", "4c#", "4d#"};
        
        for (int i = 0; i < 14; i++) {
            Key k = new Key(keyList[i], soundList[i], true);
            double width = (double)getWidth() / (double)14.0*i;
            addObject(k, (int)width + 33, getHeight()/3+27);
            
        }
        
        for (int i = 0; i < 13; i++) {
            if (!SharpKeyList[i].equals("x")) {
                Key k = new Key(SharpKeyList[i], SharpSoundList[i], false);
                double width = (double)getWidth() / (double)14.0*i;
                addObject(k, (int)width + 66, getHeight()/4);
            
            }
        }
        
        if (meme) {
            Key k = new Key("space", "HelloThere", true);
            addObject(k, getWidth()/2, getHeight()-27);
            k.setRotation(90);
            k.setHeight(getWidth()+100);
            k.scaleHeight();
        }
    }
}